/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */


/*----------------------------------------
Root
----------------------------------------*/
:root {
    --color-black: #4d4d4d;
    --color-title: #333333;
    --color-prim: #2EAAE8;
    --color-sec: #0B7CAC;
    --color-border: #BBBBBB;
    --color-back: #FAF9F5;
    --color-back-grey: #f5f5f5;
    --font-title: #f5f5f5;
    --font-text: #f5f5f5;
}
body {
    --color-prim: var(--e-global-color-primary);
    --color-sec: var(--e-global-color-secondary);
}

/*----------------------------------------
General
----------------------------------------*/
label abbr[title],
label dfn[title] {
    cursor: auto;
    border-bottom: 0 !important;
    text-decoration: none;
}
.mphb-price-period {
    cursor: auto;
    border-bottom: 0;
}
.elementor-element.iframe-mapa {
    border-radius: 10px;
    overflow: hidden;
}
a:focus {
    outline: none !important;
}
.color-white h1,
.color-white h2,
.color-white h3,
.color-white h4,
.color-white h5,
.color-white h6,
.color-white p {
    color: white;
}
.no-margin-bot p:last-child {
    margin-bottom: 0;
}
.mapa-full-height .elementor-custom-embed,
.mapa-full-height .elementor-custom-embed iframe {
    height: 100%;
}
.mphb_sc_search-wrapper .mphb-required-fields-tip {
    display: none !important;
}
@media (max-width: 767px) {
    .elementor-element.mapa-full-height > .elementor-widget-container {
        width: 100%;
        padding-top: 56.25%;
        position: relative;
    }
    .mapa-full-height .elementor-custom-embed iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
}
@media (min-width: 768px) {
    .section-half .col-max-width {
        max-width: calc(var(--content-width) / 2);
        margin-left: auto;
    }
    .section-half .elementor-element + .col-max-width {
        margin-left: 0;
        margin-right: auto;
    }
}


/*----------------------------------------
Date Picker - datepick-popup
----------------------------------------*/
.mphb_sc_booking_form-wrapper .mphb-check-in-date-wrapper input:active,
.mphb_sc_booking_form-wrapper .mphb-check-out-date-wrapper input:active {
    border-color: var(--color-border);
}
.datepick-popup {
    margin-top: 4px;
}
.datepick-month thead {
    border-bottom: 0;
}
.mphb-calendar .mphb-datepicker-slate-blue .datepick-ctrl,
.datepick-popup .mphb-datepicker-slate-blue .datepick-ctrl {
    background-color: transparent;
    border: none;
    margin-top: 10px;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-ctrl a {
    color: var(--color-black);
    font-size: 13px;
    padding: 0;
}
.datepick-popup .mphb-datepicker-slate-blue.datepick {
    border: 1px solid var(--color-border);
    border-radius: 10px;
    overflow: hidden;
    padding: 15px;
    position: relative;
    background-color: var(--color-back-grey);
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav {
    background: none;
    position: absolute;
    pointer-events: none;
    top: 15px;
    left: 0;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav a.datepick-cmd {
    color: black;
    pointer-events: all;
    width: max-content;
    position: relative;
    font-size: 0;
    width: 30px;
    height: 31px;
    padding: 0;
    transition: all .4s ease;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav a.datepick-cmd:hover {
    background-color: var(--color-back-grey);
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav a.datepick-cmd-today {
    display: none;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav a.datepick-cmd:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 7px;
    height: 7px;
    transform: translate(-50%, -50%) rotate(45deg);
    border-left: 1px solid var(--color-black);
    border-bottom: 1px solid var(--color-black);
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-nav a.datepick-cmd-next:before {
    border: 0;
    border-right: 1px solid var(--color-black);
    border-top: 1px solid var(--color-black);
}
.mphb-calendar .mphb-datepicker-slate-blue .datepick-month-header,
.mphb-calendar .mphb-datepicker-slate-blue .datepick-month-header select,
.mphb-calendar .mphb-datepicker-slate-blue .datepick-month-header input,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month-header,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month-header select,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month-header input,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month th,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month th,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month td,
.mphb-calendar .mphb-datepicker-slate-blue .datepick-month td,
.mphb-datepicker-slate-blue td .datepick-weekend,
.datepick-month td .datepick-other-month {
    background: none;
    background-color: transparent;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-month,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month.first,
.datepick-popup .mphb-datepicker-slate-blue .datepick-month.last {
    border: 0;
}
.datepick-popup .mphb-datepicker-slate-blue .datepick-month th {
    border: 0;
    font-weight: 400;
    color: var(--color-border);
}
.datepick-popup .mphb-datepicker-slate-blue.mphb-datepick-popup .datepick-month td {
    border: 1px solid var(--color-border);
    font-size: 15px;
}
.datepick-popup .mphb-datepicker-slate-blue.mphb-datepick-popup .datepick-month td span {
    color: var(--color-border);
}
.datepick-popup .mphb-datepicker-slate-blue.mphb-datepick-popup .datepick-month td:has(.datepick-other-month) {
    border: 0;
}
.datepick-popup .mphb-datepicker-slate-blue.mphb-datepick-popup .datepick-month td a.datepick-weekend {
    background-color: var(--color-back);
}
.datepick-popup .mphb-datepicker-slate-blue.mphb-datepick-popup .datepick-month td a.datepick-selected {
    background-color: var(--color-prim);
    color: white;
}
@media (min-width: 768px) {
    .datepick-popup .mphb-datepicker-slate-blue.datepick {
        min-width: 500px;
    }
    .datepick-popup .mphb-datepicker-slate-blue .datepick-month.first {
        padding-right: 10px;
    }
    .datepick-popup .mphb-datepicker-slate-blue .datepick-month.last {
        padding-left: 10px;
    }
}

/*----------------------------------------
Floating buttons
----------------------------------------*/
.floating-btns {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 99;
}
.floating-btns .floating-btns-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    align-items: center;
}
.floating-btns .mphb-tax-information.taxes-included,
.floating-btns .mphb-required-fields-tip {
    display: none;
}
.floating-room-form {
    overflow: hidden;
    width: 320px;
    padding: 0 20px;
    position: absolute;
    bottom: -20px;
    right: -20px;
    left: auto;
    top: auto;
    background-color: var(--color-back);
    border-top: 1px solid var(--color-border);
    border-left: 1px solid var(--color-border);
    border-top-left-radius: 10px;
    transform: translateY(calc(100% + 20px));
    transition: all .8s ease;
    z-index: 1;
}
.floating-btn-wrap-room.open .floating-room-form {
    padding: 20px;
    transform: translateY(0%);
}
.floating-btn-wrap-room .elementor-button {
    cursor: pointer;
}
.floating-room-form .floating-room-form-wrap {
    display: flex;
    flex-direction: column;
}
.floating-btn-wrap-room .floating-room-form .floating-close {
    position: relative;
    margin-left: auto;
}
.floating-btn-wrap-room .floating-room-form .floating-close .icon {
    position: relative;
    width: 30px;
    height: 30px;
    display: block;
    cursor: pointer;
}
.floating-btn-wrap-room .floating-room-form .floating-close .icon:before,
.floating-btn-wrap-room .floating-room-form .floating-close .icon:After {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1px;
    height: 100%;
    background: black;
    transform: translate(-50%, -50%) rotate(45deg);
}
.floating-btn-wrap-room .floating-room-form .floating-close .icon:After {
    transform: translate(-50%, -50%) rotate(135deg);
}
.floating-btn-wrap-room .floating-room-form .mphb_sc_booking_form-wrapper .mphb-check-in-date-wrapper input,
.floating-btn-wrap-room .floating-room-form .mphb_sc_booking_form-wrapper .mphb-check-out-date-wrapper input {
    background-color: white;
}
.floating-btn-wrap .btn-whatsapp {
    width: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    transform: scale(1);
    transition: all .6s ease;
}
.floating-btn-wrap .btn-whatsapp br {
    display: none;
}
.floating-btn-wrap .btn-whatsapp svg {
    width: 50px;
}
.floating-btn-wrap .btn-whatsapp .path-back {
    fill: #25D366;
}
.floating-btn-wrap .btn-whatsapp .path-mob {
    fill: white;
}
.floating-btn-wrap .btn-whatsapp:hover {
    transform: scale(1.1);
}
@media (max-width: 650px) {
    .floating-btns {
        left: 50%;
        right: 50%;
        transform: translateX(-50%);
    }
    .floating-btns .floating-btns-wrap {
        flex-direction: row;
        flex-wrap: nowrap;
    }
    .floating-btn-wrap-room .elementor-button {
        width: 100vw;
        max-width: calc(100vw - 100px);
        min-height: 50px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .floating-room-form {
        transform: translate(50%, calc(100% + 20px));
        background-color: var(--color-back);
        width: 100vw;
        right: 0;
        bottom: 0;
        border: 0;
        border-top: 1px solid var(--color-prim);
        box-shadow: 0px -10px 20px 0px rgba(15,15,15,.1);
        border-radius: 0;
    }
    .floating-btn-wrap-room.open .floating-room-form {
        transform: translate(50%, 21px);
    }
}
/*----------------------------------------
General / Intro half
----------------------------------------*/
.intro-half .col-img .elementor-element {
    height: 100%;
    width: 100%;
}
.intro-half .col-img .elementor-widget-container {
    padding-top: 56%;
}
.intro-half .col-img .elementor-widget-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*----------------------------------------
Header
----------------------------------------*/
#site-navigation-wrap .dropdown-menu > .current-menu-item > a {
    font-weight: 700;
}
#site-navigation-wrap .dropdown-menu > li > a {
    letter-spacing: 0;
    position: relative;
}
#site-navigation-wrap .dropdown-menu > li > a .text-wrap {
    position: relative;
}
#site-navigation-wrap .dropdown-menu > li > a .text-wrap:after {
    content: "";
    position: absolute;
    top: calc(100% + 1px);
    left: 0;
    width: 0%;
    height: 2px;
    background-color: var(--color-prim);
    transition: all .4s ease;
}
#site-navigation-wrap .dropdown-menu > li > a:hover .text-wrap:after,
#site-navigation-wrap .dropdown-menu > li.current-menu-item > a .text-wrap:after {
    width: 100%;
}
.wpml-ls-item .sub-menu {
    min-width: 0;
}
#site-navigation-wrap .dropdown-menu > li.wpml-ls-item.dropdown > a.menu-link:After {
    content: "";
    position: absolute;
    top: 50%;
    right: 2px;
    width: 8px;
    height: 8px;
    border-top: 1px solid var(--color-black);
    border-right: 1px solid var(--color-black);
    transform: translate(0%, -75%) rotate(135deg);
}

/*----------------------------------------
Header / transparent
----------------------------------------*/
#site-header.transparent-header {
    border-bottom: 0;
}
#site-header.transparent-header #site-navigation-wrap .main-menu > li > a {
    color: white;
}
#site-header.transparent-header #site-navigation-wrap .main-menu > li > a .text-wrap:after {
    background-color: white;;
}
#site-header.transparent-header .mobile-menu .hamburger-inner,
#site-header.transparent-header .mobile-menu .hamburger-inner::before,
#site-header.transparent-header .mobile-menu .hamburger-inner::after {
    background-color: white;
}


/*----------------------------------------
Header / Mobile dropdown
----------------------------------------*/
#mobile-dropdown {
    max-height: calc(100vh - 100px);
    height: max-content;
    top: calc(100% + 1px);
}

/*----------------------------------------
Footer
----------------------------------------*/
.custom-site-footer h2,
.custom-site-footer h3,
.custom-site-footer h4,
.custom-site-footer h5,
.custom-site-footer h6 {
  margin-bottom: 0;
}
.custom-site-footer-copyright .menu {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  gap: 0px;
  margin: 0;
  font-size: 12px;
}
.custom-site-footer-copyright .menu li {
  list-style: none;
}
.custom-site-footer-copyright .menu-white .menu li,
#footer-widgets .custom-site-footer-copyright .menu-white .menu li a {
  color: white;
}
.custom-site-footer-copyright .menu li:after {
  content: "|";
  margin-left: 5px;
  margin-right: 5px;
}
.custom-site-footer-copyright .menu li:last-child:after {
  content: none;
}
.custom-site-footer-copyright .text-copyright {
  font-size: 12px;
}
#footer-widgets .custom-site-footer-copyright .text-copyright p {
  color: inherit;
}
.custom-site-footer-copyright .text-copyright p:last-child {
  margin-bottom: 0;
}
.custom-site-footer ul {
    margin-top: 0;
    list-style: none;
    margin-left: 0;
    margin-bottom: 0;
}
.custom-site-footer ul li a {
    padding: 5px 0;
    display: block;
}

/*----------------------------------------
Home
----------------------------------------*/
.home-intro .col-img .elementor-widget-image,
.home-intro .col-img .elementor-widget-image .elementor-widget-container {
    width: 100%;
}
.home-intro .col-img .elementor-widget-image .elementor-widget-container {
    padding-top: 56%;
}
.home-intro img {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}
.home-search-form .mphb_sc_search-form p {
    margin-bottom: 10px;
}
.home-search-form .mphb_sc_search-form p input[type="text"],
.home-search-form .mphb_sc_search-form p select {
    /*background: white;*/
}
@media (max-width: 767px) {
    .home-intro .col-content {
        margin-top: -50px;
        background: white;
        border-radius: 20px;
        margin-left: 20px;
        max-width: calc(100% - 40px);
        margin-right: 20px;
    }
}
@media (min-width: 768px) {
    .home-intro .col-img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    .home-intro .col-img .elementor-widget-image {
        height: 100%;
    }
    .home-intro .col-img .elementor-widget-image .elementor-widget-container {
        padding-top: 0;
        height: 100%;
    }
    .home-intro .col-img .elementor-widget-image .elementor-widget-container:After {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(90deg, rgba(15,15,15,0.5),rgba(15,15,15,0.4) 50%, rgba(15,15,15,0));
        pointer-events: none;
    }
    .home-intro .col-text .text-wrap h1,
    .home-intro .col-text .text-wrap h2,
    .home-intro .col-text .text-wrap h3,
    .home-intro .col-text .text-wrap h4,
    .home-intro .col-text .text-wrap h5,
    .home-intro .col-text .text-wrap h6,
    .home-intro .col-text .text-wrap p {
        color: white;
        text-shadow: 1px 1px 5px rgba(0,0,0,.5);
    }
    .home-search-form .mphb_sc_search-wrapper.is-style-horizontal-form .mphb_sc_search-form p {
        margin-bottom: 0;
    }
}


/*----------------------------------------
Home / Destacado home
----------------------------------------*/
.destacado-home .back-img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0; 
    left: 0;
}
.destacado-home .back-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/*----------------------------------------
Home / Alojamientos
----------------------------------------*/
.alojamientos-home .col-sticky {
    position: sticky;
    top: 30px;
    left: 0;
}
@media (min-width: 768px) {
    .alojamientos-home .mphb-room-types .mphb-room-type {
        width: calc(50%);
    }
}


/*----------------------------------------
Sitios destacados
----------------------------------------*/
.sitios-destacados .col {
    background: var(--color-back-grey);
    border-radius: 10px;
    padding: 15px;
}
.sitios-destacados p:last-child {
    margin-bottom: 0;
}
.sitios-destacados h3 {
    margin-bottom: 10px;
}

/*----------------------------------------
Room
----------------------------------------*/
.container.room-content-wrap {
    max-width: 100%;
    width: 100%;
}
.container.room-content-wrap .room-content-area {
    width: 100%;
}
.room-intro .elementor-widget-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}
.listado-comodidades ul {
    list-style: none;
    column-count: 2;
    margin-left: 0;
}
.listado-comodidades li {
    position: relative;
    padding-left: 15px;
}
.listado-comodidades li:before {
    content: "";
    position: absolute;
    top: 4px;
    left: 0;
    transform: translate(50%, 50%) rotate(45deg);
    width: 4px;
    height: 8px;
    border-bottom: 1px solid #4d4d4d;
    border-right: 1px solid #4d4d4d;
    transition: all 0s ease;
    border-color: inherit;
}
.room-content .elementor-image-gallery .gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.room-content .elementor-image-gallery .gallery.gallery-columns-4 .gallery-item {
    max-width: calc(50% - (10px * 1) / 2);
    width: 50%;
    height: 100%;
}
.room-content .elementor-image-gallery .gallery .gallery-item a {
    position: relative;
    display: block;
    padding-top: 100%;
    border-radius: 10px;
    overflow: hidden;
}
.room-content .elementor-image-gallery .gallery .gallery-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.single-mphb_room_type .elementor-slideshow__header .eicon-share-arrow,
.single-mphb_room_type .elementor-slideshow__header .elementor-slideshow__share-menu,
.single-mphb_room_type .elementor-slideshow__header .eicon-zoom-in-bold,
.single-mphb_room_type .elementor-slideshow__header .eicon-frame-expand,
.single-mphb_room_type .elementor-slideshow__footer .elementor-slideshow__title,
.single-mphb_room_type .elementor-slideshow__footer .elementor-slideshow__description {
    display: none;
}
.room-content .room-sidebar .room-sidebar-wrap .sidebar-reserva {
    padding: 10px 20px;
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid var(--color-border);
    background: var(--color-back);
}
.room-sidebar .mphb_sc_booking_form-wrapper .mphb-reserve-room-section .mphb-tax-information {
    display: none;
}
@media (min-width: 550px) {
    .room-content .elementor-image-gallery .gallery.gallery-columns-4 .gallery-item {
        max-width: calc(33.33% - (10px * 2) / 3);
        width: 33.33%;
    }
}
@media (min-width: 768px) {
    .room-content .elementor-image-gallery .gallery.gallery-columns-4 .gallery-item {
        max-width: calc(25% - (10px * 3) / 4);
        width: 25%;
    }
}
@media (min-width: 768px) {
    .room-content .room-sidebar .room-sidebar-wrap {
        position: sticky;
        top: 50px;
        left: 0;
    }
}

/*----------------------------------------
Room / Room Sidebar Tiempo
----------------------------------------*/
.room-sidebar-wrap .sidebar-tiempo {
    padding: 10px 20px;
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid var(--color-border);
    background: var(--color-back-grey);
}
.room-sidebar-wrap .sidebar-tiempo h2,
.room-sidebar-wrap .sidebar-tiempo h3,
.room-sidebar-wrap .sidebar-tiempo h4,
.room-sidebar-wrap .sidebar-tiempo h5 {
    margin-bottom: 10px;
    text-align: center;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr-head {
    display: none;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast + div {
    display: none;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr {
    width: 100%;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr,
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc {
    display: flex;
    align-items: center;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr {
    margin-left: 0;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr-block {
    display: flex;
    align-items: center;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-curr-details {
    text-align: right;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc {
    width: 100%;
    max-width: 100%;
    float: none;
    padding: 0;
    flex-wrap: wrap;
    margin-top: 10px;
    border-top: 1px solid var(--color-border);
    padding-top: 10px;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-oneday {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 25%;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-oneday .wp-forecast-fc-head {
    line-height: 1;
    padding: 0;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-oneday .wp-forecast-fc-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-oneday .wp-forecast-fc-block .wp-forecast-fc-left {
    transform: scale(.7);
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-oneday .wp-forecast-fc-block .wp-forecast-fc-right {
    width: auto;
    padding: 0;
    line-height: 1;
}
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-left > div:first-child,
.elementor-widget-wp-widget-wp-forecast .wp-forecast-fc .wp-forecast-fc-right > div:first-child {
    display: none;
}


/*----------------------------------------
Shortcode [mphb_rooms]
----------------------------------------*/
.mphb-room-types {
    display: flex;
    transition: all 0.5s;
    width: 100%;
    flex-wrap: wrap;
}
.mphb-room-types::-webkit-scrollbar {
    display: none !important;
}
.slider .mphb-room-types {
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: none;
    -ms-overflow-style: none;
    flex-wrap: nowrap;
}
.mphb_sc_rooms-wrapper.mphb-room-types .mphb-room-type {
    display: flex;
    flex-direction: column;
    margin-top: 0;
    border-radius: 10px;
    overflow: hidden;
    padding: 10px;
    scroll-snap-stop: always;
    scroll-snap-align: start;
}
.slider .mphb_sc_rooms-wrapper.mphb-room-types .mphb-room-type {
    flex-shrink: 0;
}
.alojamientos-back .mphb-room-types .mphb-room-type .archive-alojamiento-content-wrap {
    padding: 10px;
    background: white;
    height: 100%;
}
.mphb-room-types .mphb-room-type {
    width: 100%;
}
.mphb-room-types .mphb-room-type .post-thumbnail {
    padding-top: 70%;
    position: relative;
    order: 0;
    margin-bottom: 0;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    overflow: hidden;
    border: 1px solid var(--color-border);
    border-bottom: 0;
}
.mphb-room-types .mphb-room-type .post-thumbnail img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.mphb-room-types .mphb-room-type .archive-alojamiento-content-wrap {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding-top: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 10px;
    background: white;
    height: 100%;
    border: 1px solid var(--color-border);
    border-top: 0;
}
.mphb-room-types .mphb-room-type .mphb-room-type-title {
    order: 2;
}
.mphb-room-types .mphb-room-type .mphb-regular-price {
    margin-bottom: 0;
    background: white;
    width: max-content;
    max-width: 100%;
    padding: 10px 15px 10px 10px;
    position: relative;
    top: 0;
    left: 0;
    margin-top: -35px;
    margin-left: -10px;
    border-top-right-radius: 5px;
}
.mphb-room-types .mphb-room-type .mphb-regular-price .mphb-price-period {
    cursor: auto;
    border-bottom: 0;
}
.mphb-room-types .mphb-room-type .mphb-regular-price .mphb-tax-information {
    display: none;
}
.mphb-room-types .mphb-room-type .descripcion {
    order: 4;
}
.mphb-room-types .mphb-room-type .meta-wrap {
    order: 3;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 20px;
}
.mphb-room-types .mphb-room-type .meta-wrap .meta-item {
    display: flex;
    align-items: center;
}
.mphb-room-types .mphb-room-type .meta-wrap .meta-item:after {
    content: "/";
    margin-left: 5px;
    margin-right: 5px;
}
.mphb-room-types .mphb-room-type .meta-wrap .meta-item:last-child:after {
    content: none;
}
.mphb-room-types .mphb-room-type .meta-wrap .meta-item svg {
    margin-right: 5px;
    max-height: 1em;
    width: auto;
}
.mphb-room-types .mphb-room-type .meta-wrap p {
    margin-bottom: 0;
}
.mphb-room-types .mphb-room-type .mphb-view-details-button-wrapper {
    order: 10;
    margin-bottom: 10px;
    margin-top: auto;
}
.mphb-room-types .mphb-room-type .mphb-reserve-room-section {
    order: 10;
    margin-bottom: 10px;
}
.mphb-room-types .mphb-room-type .mphb-view-details-button-wrapper .mphb-view-details-button,
.mphb-room-types .mphb-room-type .mphb-reserve-room-section .button {
    padding: 12px 24px;
    font-size: 15px;
    letter-spacing: 0.3px;
    font-weight: 700;
}
@media (min-width: 600px) {
    .mphb-room-types .mphb-room-type {
        width: calc(50%);
    }
}
@media (min-width: 768px) {
    .mphb-room-types .mphb-room-type {
        width: calc(33.33%);
    }
}

/*----------------------------------------
Shortcode [mphb_rooms] en relacionados
----------------------------------------*/
.elementor-element.alojamientos-relacionados {
    background: var(--color-back-grey);
    padding-top: 20px;
    margin-top: 30px;
    padding-bottom: 30px;
}
.elementor-element.alojamientos-relacionados .elementor-widget-shortcode .elementor-widget-container {
    padding: 0 25px;
}
.elementor-element.alojamientos-relacionados .mphb_sc_rooms-wrapper.mphb-room-types .mphb-room-type.inactive {
    display: none;
}
.elementor-element.alojamientos-relacionados h2,
.elementor-element.alojamientos-relacionados h3 {
    margin-bottom: 0;
}
.elementor-element.alojamientos-relacionados .mphb-room-types .mphb-room-type .archive-alojamiento-content-wrap {
    padding: 10px;
    background: white;
    height: 100%;
}
.elementor-element.alojamientos-relacionados .mphb-room-types .mphb-room-type .mphb-regular-price {
    transform: none;
    padding: 10px 15px 10px 10px;
    position: relative;
    top: 0;
    left: 0;
    margin-top: -35px;
    border-top-right-radius: 5px;
}
.elementor-element.alojamientos-relacionados .mphb-room-types .mphb-room-type .archive-alojamiento-content-wrap .mphb-room-type-title {
    margin-top: 10px;
    font-size: 25px;
    margin-bottom: 5px;
}
.elementor-element.alojamientos-relacionados .slider-nav {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    z-index: 1;
    pointer-events: none;
}
.elementor-element.alojamientos-relacionados .slider-nav .slider-nav-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    pointer-events: none;
}
.elementor-element.alojamientos-relacionados .slider-nav .arrow-wrap {
    width: 30px;
    height: 30px;
    position: relative;
    pointer-events: auto;
    transform: rotate(-135deg);
}
.elementor-element.alojamientos-relacionados .slider-nav .arrow-wrap.arrow-next {
    transform: rotate(45deg );
}
.elementor-element.alojamientos-relacionados .slider-nav .arrow-wrap .arrow {
    border-top: 1px solid black;
    border-right: 1px solid black;
    width: 20px;
    height: 20px;
    transform: translate(-50%, -50%);
    position: absolute;
    top: 50%;
    left: 50%;
    transition: all .4s ease;
    cursor: pointer;
}
.elementor-element.alojamientos-relacionados .slider-nav .arrow-wrap .arrow.invisible {
    opacity: 0;
    pointer-events: none;
}

/*----------------------------------------
Pagina historia
----------------------------------------*/
.historia-content .col-img .col-img-wrap img {
    border-radius: 20px;
}
.historia-content .col-img .col-img-wrap > .elementor-element:before {
    content: "";
    position: absolute;
    top: 10px;
    left: 10px;
    width: 100%;
    height: 100%;
    background-color: var(--e-global-color-primary);
    z-index: -1;
    border-radius: 20px;
}

/*----------------------------------------
Pagina Recomendaciones
----------------------------------------*/
.recomendaciones-openers .opener {
    background-color: var(--color-back-grey);
    padding: 10px 20px;
    border-radius: 5px;
    transition: all .4s ease;
    cursor: pointer;
    border: 1px solid #BD8C7E38;
}
.recomendaciones-openers .elementor-icon-box-wrapper {
    display: flex;
    align-items: center;
}
.recomendaciones-openers .elementor-widget-icon-box.elementor-position-left .elementor-icon-box-icon {
    display: flex;
    align-items: center;
}
.recomendaciones-openers .opener .elementor-icon,
    .recomendaciones-openers .opener .elementor-icon-box-title {
    transition: all .4s ease;
}
.recomendaciones-openers .opener.open,
.recomendaciones-openers .opener:hover {
    background-color: var(--e-global-color-primary);
    border-color: var(--e-global-color-primary);
}
.recomendaciones-openers .opener.open .elementor-icon,
.recomendaciones-openers .opener:hover .elementor-icon {
    color: white !important;
}
.recomendaciones-openers .opener.open .elementor-icon-box-title,
.recomendaciones-openers .opener:hover .elementor-icon-box-title {
    color: white;
}
.recomendaciones-openers .opener .elementor-icon-box-title {
    margin-bottom: 0;
}
.recomendaciones-resultados .resultado {
    display: none;
    opacity: 0;
}
.recomendaciones-resultados .resultado.open {
    display: block;
    opacity: 1;
}
.elementor-editor-active .recomendaciones-resultados .resultado {
    display: block;
    opacity: 1;
}
.recomendaciones-resultados .elementor-widget-image {
    display: block;
    width: 100%;
}
.recomendaciones-resultados .elementor-widget-image .elementor-widget-container {
    padding-top: 56%;
    position: relative;
    width: 100%;
    display: block;
}
.recomendaciones-resultados .elementor-widget-image .elementor-widget-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.recomendaciones-resultados .resultado p:last-child {
    margin-bottom: 0;
}

/*----------------------------------------
Checkout
----------------------------------------*/
#main #content-wrap.container .mphb_sc_checkout-wrapper {
    max-width: 840px;
    margin-left: auto;
    margin-right: auto;
}
.mphb_sc_checkout-form h3 {
    font-size: 25px;
}
body .mphb_sc_checkout-form .mphb-check-in-date,
body .mphb_sc_checkout-form .mphb-check-out-date {
    border: 1px solid #ddd;
    min-height: 74px;
    line-height: 74px;
    margin: 0;
}
body .mphb_sc_checkout-form .mphb-check-out-date {
    border-top: none;
}
body .mphb_sc_checkout-form .mphb-check-in-date>span:first-child,
body .mphb_sc_checkout-form .mphb-check-out-date>span:first-child {
    padding: 0 1.25rem;
    font-weight: 900;
}
.mphb-room-details:first-child {
    margin-top: 6.25rem;
}
.mphb-room-details {
    padding-bottom: 3.75rem;
    margin-bottom: 6.25rem;
    border-bottom: 1px solid #ddd;
}
.mphb_sc_checkout-form #mphb-customer-details {
    display: flex;
    flex-direction: column;
    width: 100%;
}
#mphb-customer-details .mphb-required-fields-tip {
    display: none;
}
#mphb-booking-details .mphb-room-details .mphb-room-number,
#mphb-booking-details .mphb-room-details .mphb-room-type-title span {
  display: none;
}
#mphb-booking-details .mphb-room-details .mphb-room-type-title {
    font-size: 23px;
}
.mphb-price-breakdown-booking ~ tr {
    background: var(--color-back-grey);
}
.mphb-price-breakdown-booking .mphb-price-breakdown-rate {
    display: none;
}
.mphb-price-breakdown-deposit th {
    font-weight: 700;
}
.mphb_sc_checkout-form #mphb-customer-details .mphb-customer-nif,
.mphb_sc_checkout-form #mphb-customer-details .mphb-customer-bday {
    order: 1;
}
.mphb_sc_checkout-form #mphb-customer-details .mphb-customer-note {
    order: 2;
}
form.mphb_sc_checkout-form input[type=checkbox] {
    position: relative;
}
form.mphb_sc_checkout-form input[type=checkbox]:before {
	content: none;
}
form.mphb_sc_checkout-form input[type=checkbox]:after {
	content: "";
    position: absolute;
    top: -4px;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 12px;
    height: 6px;
    transform: rotate(-45deg);
	border-top: none;
	border-right: none;
}
form.mphb_sc_checkout-form input[type=checkbox]:checked:after {
    border: 1px solid var(--color-prim);
	border-top: none;
	border-right: none;
}

/*----------------------------------------
Confirmacion reserva
----------------------------------------*/
#mphb-booking-details table th {
    text-transform: none;
    font-weight: 700;
}
.mphb-price-breakdown-dates-subtotal,
.mphb-price-breakdown-dates,
.mphb-price-breakdown-date,
.mphb-price-breakdown-accommodation-taxes,
.mphb-price-breakdown-subtotal,
.mphb-price-breakdown-fees,
.mphb-price-breakdown-fees-subtotal,
.mphb-price-breakdown-services,
.mphb-price-breakdown-services-headers,
.mphb-price-breakdown-services-subtotal,
.mphb-price-breakdown-service-details .mphb-price {
    display: none;
}

/*----------------------------------------
Reserva confirmada
----------------------------------------*/
.mphb_sc_booking_confirmation .mphb-booking-details-section {
    border: 1px solid #ddd;
    padding: 15px;
    border-radius: 15px;
}
.reserva-confirmada-content .mphb_sc_booking_confirmation .mphb-payment-messages {
    display: none;
}


/*----------------------------------------
Buscador alojamientos
----------------------------------------*/

/*----------------------------------------
Resultados buscador alojamientos
----------------------------------------*/
.resultados-buscador .mphb_sc_search_results-wrapper .mphb-recommendation-title,
.resultados-buscador .mphb_sc_search_results-wrapper .mphb-recommendation,
.resultados-buscador .mphb_sc_search_results-wrapper .mphb-reservation-cart {
    display: none;
}
.resultados-buscador .mphb_sc_search_results-wrapper {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}
.resultados-buscador .mphb_sc_search_results-wrapper .custom-wrap {
    flex-shrink: 1;
    flex-grow: 0;
    flex-basis: auto;
    position: sticky;
    top: 50px;
}
.resultados-buscador .mphb_sc_rooms-wrapper.mphb-room-types .resultados-wrap {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
@media (min-width: 768px) {
    .resultados-buscador .mphb_sc_search_results-wrapper {
        flex-wrap: nowrap;
    }
    .resultados-buscador .mphb_sc_search_results-wrapper .custom-wrap {
        width: 30%;
        max-width: 400px;
    }
    .resultados-buscador .mphb_sc_rooms-wrapper.mphb-room-types .resultados-wrap {
        width: 70%;
    }
    .resultados-buscador .mphb-room-types .mphb-room-type {
        width: calc(50%);
    }
}

/*----------------------------------------
Reviify
----------------------------------------*/
.room-sidebar-wrap .reviify-only-stars.elementor-element {
    box-shadow: 0 0 rgba(15,15,15.25);
    border: 1px solid var(--color-border);
    border-radius: 10px;
}
.reviify-only-stars.elementor-element {
    max-height: 245px;
}
.reviify-only-stars.elementor-element > .elementor-widget-container {
    height: 100%;
    overflow: hidden;
}
@media (min-width: 361px) {
    .reviify-only-stars.elementor-element {
        max-height: 195px;
    }
}
@media (min-width: 495px) {
    .reviify-only-stars.elementor-element {
        max-height: 140px;
    }
}
@media (min-width: 768px) {
    .reviify-only-stars.elementor-element {
        max-height: 240px;
    }
}
@media (min-width: 848px) {
    .reviify-only-stars.elementor-element {
        max-height: 190px;
    }
    .home .reviify-only-stars.elementor-element {
        max-height: 240px;
    }
}

/*----------------------------------------
Contact form
----------------------------------------*/
form .aceptacion {
    margin-top: 10px;
    margin-bottom: 15px;
    padding-left: 0px;
}
form .aceptacion label {
    font-size: 13px;
    margin-bottom: 0;
}
form .aceptacion .wpcf7-acceptance .wpcf7-list-item-label,
form .aceptacion .wpcf7-acceptance .check {
    cursor: pointer;
}
form .aceptacion input[type="checkbox"] {
	display: none;
}
form .aceptacion .wpcf7-list-item {
    margin-left: 30px;
}
form .aceptacion .wpcf7-list-item:has(.no-check) {
    margin-left: 0;
}
form .aceptacion .wpcf7-list-item-label a {
    position: relative;
    font-size: 12px;
}
form .aceptacion .wpcf7-list-item-label a:after {
    /*content: "";*/
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--color-black);
    transition: all .4s ease;
}
form .aceptacion .wpcf7-list-item-label a:hover:after {
    width: 0%;
}
form .aceptacion .check {
	background: transparent;
	width: 20px;
	height: 20px;
	position: relative;
	display: inline-block;
	margin-right: 10px;
    margin-left: -30px;
	transform: translateY(5px);
	border: 1px solid var(--color-border);
	border-radius: 100px;
}
form .aceptacion input:checked + .wpcf7-list-item-label .check {
    border-color: var(--color-prim);
}
form .aceptacion .check:after {
	content: "";
	position: absolute;
	top: -2px;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	width: 9px;
	height: 4px;
	transform: rotate(-45deg);
	border-top: none;
	border-right: none;
}
form .aceptacion input:checked + .wpcf7-list-item-label .check:after,
form .aceptacion input:checked + .aceptacion-label-text .check:after {
    border: 1px solid var(--color-prim);
	border-top: none;
	border-right: none;
}
form .aceptacion .wpcf7-list-item-label a:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 100%;
    height: 1px;
    background: var(--color-border);
    transform: translateX(-50%);
    transition: all .4s ease;
}
form .aceptacion .wpcf7-list-item-label a:hover:after {
    width: 0;
}
form .aceptacion .wpcf7-form-control-wrap {
    display: block;
}
.wpcf7 form input,
.wpcf7 form textarea {
    border-color: var(--color-border);
}
form textarea {
    resize: none;
}
form .btn-send {
    position: relative;
}
form .btn-send p {
    width: max-content;
    max-width: 100%;
    position: relative;
}
form .wpcf7-spinner {
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translate(-50%, -50%);
    background-color: var(--color-prim);
    opacity: 1;
}
.wpcf7 form .wpcf7-response-output {
    font-size: 13px;
    border: 1px solid var(--color-prim) !important;
    font-weight: 700;
    border-radius: 2px;
}
.wpcf7 form.invalid .wpcf7-response-output {
    display: none;
}
.wpcf7-not-valid-tip {
    font-size: 11px;
    line-height: 1;
    color: var(--color-back);
    padding: 2px 4px;
    background: var(--color-prim);
    position: absolute;
    width: auto;
    max-width: 100%;
    margin-left: 0;
}